<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:35 UTC 2019 -->
<title>Departure (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Departure (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":42,"i1":42,"i2":42,"i3":42,"i4":42,"i5":42,"i6":42,"i7":42,"i8":42,"i9":42,"i10":42};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Departure.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/urbanmobility/CoverageType.html" title="enum in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/urbanmobility/DepartureBoard.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/urbanmobility/Departure.html" target="_top">Frames</a></li>
<li><a href="Departure.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.here.android.mpa.urbanmobility</div>
<h2 title="Class Departure" class="title">Class Departure</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.here.android.mpa.urbanmobility.Departure</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> 
<div class="block"><span class="deprecationComment">As of SDK 3.8.</span></div>
</div>
<br>
<pre>@Deprecated
public final class <span class="typeNameLabel">Departure</span>
extends java.lang.Object</pre>
<div class="block">Represents information about a departure.
 <p>
 IMPORTANT: Urban Mobility Departure Board is a Beta feature. The related classes are subject to
 change without notice.
 </p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd"> </span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd"> </span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd"> </span></span><span id="t6" class="tableTab"><span><a href="javascript:show(32);">Deprecated Methods</a></span><span class="tabEnd"> </span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object o)</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/AccessPoint.html" title="class in com.here.android.mpa.urbanmobility">AccessPoint</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getAccessPoint--">getAccessPoint</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets <a href="../../../../../com/here/android/mpa/urbanmobility/AccessPoint.html" title="class in com.here.android.mpa.urbanmobility"><code>AccessPoint</code></a> which should be used to access this location.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/AlternativeDeparture.html" title="class in com.here.android.mpa.urbanmobility">AlternativeDeparture</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getAlternativeDepartures--">getAlternativeDepartures</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets a list of departures which are alternative to this departure.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/DepartureFrequency.html" title="class in com.here.android.mpa.urbanmobility">DepartureFrequency</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getDepartureFrequency--">getDepartureFrequency</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets a <a href="../../../../../com/here/android/mpa/urbanmobility/DepartureFrequency.html" title="class in com.here.android.mpa.urbanmobility"><code>DepartureFrequency</code></a> object describing frequency of similar departures.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/Place.html" title="class in com.here.android.mpa.urbanmobility">Place</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getPlace--">getPlace</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/urbanmobility/Place.html" title="class in com.here.android.mpa.urbanmobility"><code>Place</code></a> information from which this departure occurs.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getPlatform--">getPlatform</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the originally scheduled departure platform.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/RealTimeInfo.html" title="class in com.here.android.mpa.urbanmobility">RealTimeInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getRealTimeInfo--">getRealTimeInfo</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the real-time departure time if available.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/Station.html" title="class in com.here.android.mpa.urbanmobility">Station</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getStation--">getStation</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/urbanmobility/Station.html" title="class in com.here.android.mpa.urbanmobility"><code>Station</code></a> information from which this departure occurs.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getTime--">getTime</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the originally scheduled departure time.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/here/android/mpa/urbanmobility/Transport.html" title="class in com.here.android.mpa.urbanmobility">Transport</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#getTransport--">getTransport</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the transport information.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/here/android/mpa/urbanmobility/Departure.html#hashCode--">hashCode</a></span>()</code>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
 </td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getStation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStation</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/Station.html" title="class in com.here.android.mpa.urbanmobility">Station</a> getStation()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/urbanmobility/Station.html" title="class in com.here.android.mpa.urbanmobility"><code>Station</code></a> information from which this departure occurs.
 NOTE: This property is available only if <a href="../../../../../com/here/android/mpa/urbanmobility/Place.html" title="class in com.here.android.mpa.urbanmobility"><code>Place</code></a> of the departure
 is also a <a href="../../../../../com/here/android/mpa/urbanmobility/Station.html" title="class in com.here.android.mpa.urbanmobility"><code>Station</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/urbanmobility/Station.html" title="class in com.here.android.mpa.urbanmobility"><code>Station</code></a> information ,or null if not available</dd>
</dl>
</li>
</ul>
<a name="getPlace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlace</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/Place.html" title="class in com.here.android.mpa.urbanmobility">Place</a> getPlace()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the <a href="../../../../../com/here/android/mpa/urbanmobility/Place.html" title="class in com.here.android.mpa.urbanmobility"><code>Place</code></a> information from which this departure occurs.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/urbanmobility/Place.html" title="class in com.here.android.mpa.urbanmobility"><code>Place</code></a> from which this departure occurs, or null if not available</dd>
</dl>
</li>
</ul>
<a name="getPlatform--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlatform</h4>
<pre>public java.lang.String getPlatform()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the originally scheduled departure platform.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>originally scheduled departure platform, or empty string if not available.</dd>
</dl>
</li>
</ul>
<a name="getDepartureFrequency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDepartureFrequency</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/DepartureFrequency.html" title="class in com.here.android.mpa.urbanmobility">DepartureFrequency</a> getDepartureFrequency()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets a <a href="../../../../../com/here/android/mpa/urbanmobility/DepartureFrequency.html" title="class in com.here.android.mpa.urbanmobility"><code>DepartureFrequency</code></a> object describing frequency of similar departures.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>information about departure frequency, or null if not available</dd>
</dl>
</li>
</ul>
<a name="getAlternativeDepartures--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAlternativeDepartures</h4>
<pre>public java.util.List&lt;<a href="../../../../../com/here/android/mpa/urbanmobility/AlternativeDeparture.html" title="class in com.here.android.mpa.urbanmobility">AlternativeDeparture</a>&gt; getAlternativeDepartures()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets a list of departures which are alternative to this departure.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>list of alternative departures if any</dd>
</dl>
</li>
</ul>
<a name="getTransport--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransport</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/Transport.html" title="class in com.here.android.mpa.urbanmobility">Transport</a> getTransport()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the transport information.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>transport information, or null if not available</dd>
</dl>
</li>
</ul>
<a name="getTime--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTime</h4>
<pre>public java.util.Date getTime()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the originally scheduled departure time.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Originally scheduled departure time, or null if not available.</dd>
</dl>
</li>
</ul>
<a name="getRealTimeInfo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRealTimeInfo</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/RealTimeInfo.html" title="class in com.here.android.mpa.urbanmobility">RealTimeInfo</a> getRealTimeInfo()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets the real-time departure time if available.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>real-time departure time or null when not available</dd>
</dl>
</li>
</ul>
<a name="getAccessPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAccessPoint</h4>
<pre>public <a href="../../../../../com/here/android/mpa/urbanmobility/AccessPoint.html" title="class in com.here.android.mpa.urbanmobility">AccessPoint</a> getAccessPoint()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<div class="block">Gets <a href="../../../../../com/here/android/mpa/urbanmobility/AccessPoint.html" title="class in com.here.android.mpa.urbanmobility"><code>AccessPoint</code></a> which should be used to access this location.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="../../../../../com/here/android/mpa/urbanmobility/AccessPoint.html" title="class in com.here.android.mpa.urbanmobility"><code>AccessPoint</code></a>, or null if not available</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public boolean equals(java.lang.Object o)</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>hashCode</h4>
<pre>public int hashCode()</pre>
<div class="block"><span class="deprecatedLabel">Deprecated.</span> </div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code> in class <code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Departure.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/urbanmobility/CoverageType.html" title="enum in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Prev Class</span></a></li>
<li><a href="../../../../../com/here/android/mpa/urbanmobility/DepartureBoard.html" title="class in com.here.android.mpa.urbanmobility"><span class="typeNameLink">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/urbanmobility/Departure.html" target="_top">Frames</a></li>
<li><a href="Departure.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary: </li>
<li>Nested | </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail: </li>
<li>Field | </li>
<li>Constr | </li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
